Bug 181756 - kernel page management error (rmap)
kernel page management error (rmap)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-16 04:27 EST by Joshua
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-18 22:25:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My /var/log/messages file...alot of errors relating to fglrx and rmap (1.71 MB, text/plain)
2006-02-16 04:27 EST, Joshua
no flags Details

  None (edit)
Description Joshua 2006-02-16 04:27:17 EST
Description of problem:

Every time I play opengl game, i get this memory error (using ati xpress 200m)
with ati drivers

Version-Release number of selected component (if applicable):
kernel is 2.6.15.1831


How reproducible:

very

play a game like torcs on ati xpress w=200m chip with turion
for less than 30 mins

Steps to Reproduce:
1.Install ati proprietry drivers
2.play 3D graphics game (any)
3.Using mitac notebook 8317
  
Actual results:

Feb 15 22:12:30 localhost kernel: torcs-bin[2973]: segfault at 0000000000000001
rip 00002aaaad15ca40 rsp 00007fffffad0fd8 error 4
Feb 15 22:12:30 localhost kernel: Eeek! page_mapcount(page) went negative! (-1)
Feb 15 22:12:30 localhost kernel:   page->flags = 414
Feb 15 22:12:30 localhost kernel:   page->count = 1
Feb 15 22:12:30 localhost kernel:   page->mapping = 0000000000000000
Feb 15 22:12:30 localhost kernel: ----------- [cut here ] --------- [please bite
here ] ---------
Feb 15 22:12:30 localhost kernel: Kernel BUG at mm/rmap.c:493
Feb 15 22:12:30 localhost kernel: invalid operand: 0000 [1] SMP 
Feb 15 22:12:30 localhost kernel: last sysfs file:
/devices/system/cpu/cpu0/cpufreq/scaling_setspeed
Feb 15 22:12:30 localhost kernel: CPU 0 
Feb 15 22:12:30 localhost kernel: Modules linked in: ipv6 fglrx(U) autofs4
vmnet(U) parport_pc parport vmmon(U) dm_mod video button battery ac ohci1394
ieee1394 yenta_socket rsrc_nonstatic pcmcia_core ohci_hcd ehci_hcd wlan_wep(U)
snd_hda_intel snd_hda_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore
snd_page_alloc ath_pci(U) ath_rate_sample(U) wlan(U) ath_hal(U) r8169 ext3 jbd
Feb 15 22:12:30 localhost kernel: Pid: 2973, comm: torcs-bin Tainted: P     
2.6.15-1.1831_FC4 #1
Feb 15 22:12:30 localhost kernel: RIP: 0010:[<ffffffff8017dd87>]
<ffffffff8017dd87>{page_remove_rmap+129}
Feb 15 22:12:30 localhost kernel: RSP: 0018:ffff810067f69c38  EFLAGS: 00010286
Feb 15 22:12:30 localhost kernel: RAX: 00000000ffffffff RBX: ffff810001000438
RCX: 0000000000020000
Feb 15 22:12:31 localhost kernel: RDX: 0000000000000000 RSI: 0000000000000246
RDI: ffffffff8044cf70
Feb 15 22:12:31 localhost kernel: RBP: 00002aaaaae00060 R08: 0000000000000001
R09: 0000000000000030
Feb 15 22:12:31 localhost kernel: R10: 0000000000000000 R11: 0000000000000001
R12: ffff81006c328000
Feb 15 22:12:31 localhost kernel: R13: 00002aaaaacd00b8 R14: ffff810001000438
R15: 00002aaaaacd00b8
Feb 15 22:12:31 localhost kernel: FS:  00002aaaad438b00(0000)
GS:ffffffff8059b000(0000) knlGS:00000000f7e8f6c0
Feb 15 22:12:31 localhost kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Feb 15 22:12:31 localhost kernel: CR2: 0000000000000001 CR3: 0000000074076000
CR4: 00000000000006e0
Feb 15 22:12:31 localhost kernel: Process torcs-bin (pid: 2973, threadinfo
ffff810067f68000, task ffff81006a0060d0)
Feb 15 22:12:31 localhost kernel: Stack: 0000000000000020 ffffffff801767c0
0000000000000000 ffff810067f69d38 
Feb 15 22:12:31 localhost kernel:        ffffffffffffffff 0000000000000000
ffff810067a04478 ffff810067f69d40 
Feb 15 22:12:31 localhost kernel:        00000000002aebb0 0000000100000001 
Feb 15 22:12:31 localhost kernel: Call Trace:<ffffffff801767c0>{unmap_vmas+1071}
<ffffffff80179938>{exit_mmap+124}
Feb 15 22:12:31 localhost kernel:        <ffffffff80139f66>{mmput+37}
<ffffffff8013f1c4>{do_exit+584}
Feb 15 22:12:31 localhost kernel:        <ffffffff8013fcc1>{sys_exit_group+0}
<ffffffff80149eb9>{get_signal_to_deliver+1594}
Feb 15 22:12:31 localhost kernel:        <ffffffff8010f23a>{do_signal+116}
<ffffffff881664d1>{:snd_pcm_oss:snd_pcm_oss_ioctl+2007}
Feb 15 22:12:31 localhost kernel:        <ffffffff8011017e>{retint_signal+61} 
Feb 15 22:12:31 localhost kernel: 
Feb 15 22:12:31 localhost kernel: Code: 0f 0b 68 6e ff 37 80 c2 ed 01 48 c7 c6
ff ff ff ff bf 20 00 
Feb 15 22:12:31 localhost kernel: RIP <ffffffff8017dd87>{page_remove_rmap+129}
RSP <ffff810067f69c38>
Feb 15 22:12:31 localhost kernel:  <1>Fixing recursive fault but reboot is needed!
Feb 15 22:12:31 localhost kernel: Badness in kref_get at lib/kref.c:32 (Tainted:
P     )
Feb 15 22:12:31 localhost kernel: 
Feb 15 22:12:31 localhost kernel: Call Trace:<ffffffff8021414f>{kref_get+56}
<ffffffff802af894>{idecd_open+90}
Feb 15 22:12:31 localhost kernel:        <ffffffff80191cbf>{do_open+186}
<ffffffff801915e1>{bdget+285}
Feb 15 22:12:31 localhost kernel:        <ffffffff80191fae>{blkdev_open+0}
<ffffffff80191fcf>{blkdev_open+33}
Feb 15 22:12:31 localhost kernel:        <ffffffff801893e3>{__dentry_open+219}
<ffffffff801895a4>{filp_open+46}
Feb 15 22:12:31 localhost kernel:        <ffffffff801407e2>{do_wait+2792}
<ffffffff80188949>{get_unused_fd+237}
Feb 15 22:12:31 localhost kernel:        <ffffffff801896d0>{do_sys_open+59}
<ffffffff8010faee>{system_call+126}
Feb 15 22:12:31 localhost kernel:        
Feb 15 22:12:31 localhost kernel: Unable to handle kernel NULL pointer
dereference at 00000000000000f0 RIP: 
Feb 15 22:12:31 localhost kernel: <ffffffff802af8b2>{idecd_open+120}
Feb 15 22:12:31 localhost kernel: PGD 6c129067 PUD 6c127067 PMD 0 
Feb 15 22:12:31 localhost kernel: Oops: 0002 [2] SMP 
Feb 15 22:12:31 localhost kernel: last sysfs file:
/devices/system/cpu/cpu0/cpufreq/scaling_setspeed
Feb 15 22:12:31 localhost kernel: CPU 0 
Feb 15 22:12:31 localhost kernel: Modules linked in: ipv6 fglrx(U) autofs4
vmnet(U) parport_pc parport vmmon(U) dm_mod video button battery ac ohci1394
ieee1394 yenta_socket rsrc_nonstatic pcmcia_core ohci_hcd ehci_hcd wlan_wep(U)
snd_hda_intel snd_hda_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore
snd_page_alloc ath_pci(U) ath_rate_sample(U) wlan(U) ath_hal(U) r8169 ext3 jbd
Feb 15 22:12:31 localhost kernel: Pid: 2678, comm: autorun Tainted: P     
2.6.15-1.1831_FC4 #1
Feb 15 22:12:31 localhost kernel: RIP: 0010:[<ffffffff802af8b2>]
<ffffffff802af8b2>{idecd_open+120}
Feb 15 22:12:31 localhost kernel: RSP: 0018:ffff81006cbbbdc8  EFLAGS: 00010286
Feb 15 22:12:31 localhost kernel: RAX: 0000000000000001 RBX: 0000000000000000
RCX: 0000000000020000
Feb 15 22:12:31 localhost kernel: RDX: 0000000000000000 RSI: 0000000000000246
RDI: ffffffff8047ea80
Feb 15 22:12:31 localhost kernel: RBP: 00000000fffffffa R08: 0000000000000001
R09: 0000000000000000
Feb 15 22:12:31 localhost kernel: R10: 0000000000000000 R11: 0000000000000000
R12: ffff81007b0bdcc0
Feb 15 22:12:31 localhost kernel: R13: ffff81006e90ece0 R14: ffff810069da95c0
R15: 0000000000000000
Feb 15 22:12:31 localhost kernel: FS:  00002aaaab285d00(0000)
GS:ffffffff8059b000(0000) knlGS:00000000f7e8f6c0
Feb 15 22:12:31 localhost kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Feb 15 22:12:31 localhost kernel: CR2: 00000000000000f0 CR3: 000000006c9cc000
CR4: 00000000000006e0
Feb 15 22:12:31 localhost kernel: Process autorun (pid: 2678, threadinfo
ffff81006cbba000, task ffff81006cba47e0)
Feb 15 22:12:31 localhost kernel: Stack: ffff81007b300800 ffff81006e90ec00
ffff81006e90ec00 ffff81006e90ec18 
Feb 15 22:12:31 localhost kernel:        ffff810069da95c0 ffffffff80191cbf
0000000000008880 ffffffff801915e1 
Feb 15 22:12:31 localhost kernel:        0000000000000004 ffff810069da95c0 
Feb 15 22:12:31 localhost kernel: Call Trace:<ffffffff80191cbf>{do_open+186}
<ffffffff801915e1>{bdget+285}
Feb 15 22:12:31 localhost kernel:        <ffffffff80191fae>{blkdev_open+0}
<ffffffff80191fcf>{blkdev_open+33}
Feb 15 22:12:31 localhost kernel:        <ffffffff801893e3>{__dentry_open+219}
<ffffffff801895a4>{filp_open+46}
Feb 15 22:12:31 localhost kernel:        <ffffffff801407e2>{do_wait+2792}
<ffffffff80188949>{get_unused_fd+237}

Expected results:


Additional info:


im using a ati xpress 200m turion notebook 
with 2 gb ram and x86_64 fc4 
kernel/fglrx latest drivers (from fc4/livna)
Comment 1 Joshua 2006-02-16 04:27:18 EST
Created attachment 124744 [details]
My /var/log/messages file...alot of errors relating to fglrx and rmap
Comment 2 Dave Jones 2006-02-18 22:25:22 EST
ATI driver problem.

Note You need to log in before you can comment on or make changes to this bug.